Skip to main content
GET
/
v1
/
briefings
/
deliveries
/
{delivery_id}
/
references
Get Delivery References
curl --request GET \
  --url https://api.linqalpha.com/v1/briefings/deliveries/{delivery_id}/references \
  --header 'X-API-KEY: <api-key>'
{
  "error": null,
  "payload": {
    "references": [
      {
        "id": "9162ee3d-e71e-4f2d-81a7-9981ecb06597",
        "citation_idx": 1,
        "search_type": "news",
        "chunk_id": "7601005986849213491",
        "text": "Apple announced record iPhone sales for the quarter...",
        "text_type": "news",
        "document_id": "ed6ed077-949c-46ec-b036-d01fafc9bb84",
        "document_name": "Apple Q1 2026 Earnings Report",
        "s3_file_key": null,
        "external_url": "https://example.com/news/apple-q1-2026",
        "metadata": {
          "calendar_date": "2026-01-30",
          "tickers": [
            "AAPL"
          ],
          "company_names": [
            "Apple Inc."
          ]
        }
      }
    ]
  }
}
Retrieve the citation references (sources) used to generate a briefing delivery. Usage Flow:
  1. Get a delivery via List Deliveries or Get Delivery Detail
  2. Verify the delivery has been successfully generated (status sent)
  3. Call this endpoint with the delivery_id to get all citation references with metadata
Note: References are only available after the briefing has been successfully generated. If the delivery is pending or failed, this endpoint returns BRIEFING_DELIVERY_REFERENCES_NOT_AVAILABLE. How to view original documents:
  • Use document_id with the Presigned URL endpoint
  • Use external_url for web-sourced references

Authorizations

X-API-KEY
string
header
required

Path Parameters

delivery_id
string<uuid>
required

Delivery ID (UUID).

Response

References used in the briefing delivery. Errors returned in the body include BRIEFING_DELIVERY_NOT_FOUND (delivery does not exist), BRIEFING_DELIVERY_REFERENCES_NOT_AVAILABLE (delivery has no chat session — still pending or failed), and GET_SESSION_REFERENCES_FAIL (upstream fetch failed).

references
object[]
required

List of references associated with the conversation